@font-face {
    font-family: 'Times New Roman';
    src: url('../assets/fonts/times.ttf');
    font-weight: 400;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --yellow: #E9D92C;
    --blue: #2B547F;
    --green: #76F350;
    --gray: #C5C5C5;
    --red: #FF723F;

    --transition: 0.3s ease;
}

body {
    font-family: "Roboto", sans-serif;
    background-color: var(--blue);
    overflow-x: hidden;
    color: white;
    position: relative;
}


ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

a {
    text-decoration: none;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 !important;
}

button,
input,
textarea {
    border: none;
    outline: none;
    background-color: transparent;
}

button {
    cursor: pointer;
}

.container {
    max-width: 1358px;
    position: relative;
    padding: 0 20px;
    z-index: 1;
}

.mt-100 {
    margin-top: 100px;
}

.mt-130 {
    margin-top: 130px;
}

.blue-gradient-text {
    font-weight: 700;
    background: linear-gradient(90deg, #97D8EB, #F4F5F5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

header {
    position: relative;
    z-index: 10;
}

.header__content {
    position: relative;
    z-index: 1;
}

header .container {
    position: relative;
    z-index: 1;
    top: 0;
}

header.fixed {
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #2A72AB;
}

.header__bg {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: #4444441A;
    backdrop-filter: blur(20px);
    box-shadow: 0px 1px 40px 0px rgba(226, 226, 226, 0.2) inset;
    top: 0;
    left: 0;
}

.logo {
    min-width: 255px;
}

.heder-logo {
    transition: margin-left var(--transition);
}

.heder-logo.moved {
    margin-left: -200%;
}

.logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

nav {
    margin: 36px 0 20px 0;
}

.menu {
    gap: 14px;
}

.menu__item {
    padding: 8px 6px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid transparent;
    transition: border-color var(--transition);
    cursor: pointer;
}

.menu__link {
    line-height: 100%;
    white-space: nowrap;
}

.menu__item.active,
.menu__item:hover {
    border-color: var(--yellow);
}

.search {
    position: relative;
    width: 260px;
    height: 44px;
    border-radius: 5px;
    border: 1px solid var(--yellow);
    padding: 12px 16px 12px 36px;
    display: flex;
    align-items: center;
}

.search-icon {
    cursor: pointer;
    position: absolute;
    content: url(../assets/icons/search.svg);
    top: 50%;
    transform: translateY(-50%);
    left: 16px;
}

.search-input {
    width: 100%;
    color: white;
    margin-left: 12px;
}

.search-input::placeholder {
    font-weight: 700;
    background: linear-gradient(90deg, #97D8EB, #F4F5F5);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.profile-links {
    gap: 13px;
}

.yellow-text {
    color: var(--yellow);
}

.green-text {
    color: var(--green);
}

.gray-text {
    color: var(--gray);
}

.red-text {
    color: var(--red);
}

.yellow-btn {
    border-radius: 5px;
    background-color: var(--yellow);
    transition: box-shadow var(--transition);
    font-size: 18px;
    line-height: 18px;
    font-weight: 500;
    font-family: "Roboto", sans-serif;
    color: #091A29;
    padding: 21px 72px;
}

.yellow-btn:hover {
    box-shadow: 0px 2px 24px -2px #E9D92CB2;
}

.yellow-btn:focus {
    background-color: #B7AB2B;
}

.list-title {
    font-family: "Times New Roman";
    font-weight: 400;
    font-size: 64px;
    line-height: 62px;
    text-transform: uppercase;
    color: var(--yellow);
}

.product-item {
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0px 4px 16px 0px #E9E9E933 inset;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #4444441A;
    transition: background var(--transition);
    height: 100%;
    gap: 8px;
}

.product-item:hover {
    background: #97D8EB33;
}

.product-item__img {
    height: 273px;
    width: 100%;
}

.product-item__img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.product-item__name {
    font-weight: 600;
    font-size: 18px;
    line-height: 32px;
    text-align: center;
    text-transform: uppercase;
    margin-top: 19px;
    margin-bottom: 6px;
}

.product-item__price span {
    font-size: 30px;
    line-height: 24px;
    font-family: "Times New Roman";
}

.product-item__type p {
    color: #C5C5C5;
}

.product-item__country {
    position: absolute;
    top: 10px;
    left: 10px;
}

.product__name:hover,
.product__name {
    text-transform: uppercase;
    font-size: 18px;
    line-height: 32px;
    font-weight: 600;
    color: white;
}

.add-favorite {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    content: url(../assets/icons/favorite.svg);
}

.add-favorite.active {
    content: url(../assets/icons/favorite-active.svg);
}

.product-item button {
    padding: 15.5px 47.5px;
    width: fit-content;
}

.product-item>div:last-of-type {
    margin-top: 13px;
}

.paralax-cube {
    width: 250px;
    height: 250px;
    position: absolute;
    z-index: 4;
    transform: rotate(45deg);
    transition: transform 0.1s linear;
}

.paralax-cube img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    z-index: 1;
}

.paralax-cube__bg {
    position: absolute;
    width: 120%;
    height: 120%;
    background-color: #BEE8F6;
    top: 0;
    left: 0;
    filter: blur(70px);
}

/*--------------CUSTOM CHECKBOX------------------*/
.custom-checkbox {
    display: inline-block;
    position: relative;
    cursor: pointer;
    width: 20px;
    height: 20px;
}

.custom-checkbox input[type="checkbox"] {
    visibility: hidden;
    width: 20px;
}

.custom-checkbox .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    background-color: transparent;
    border: 1px solid #97D8EB;
    background-image: none;
    background-position: center;
    background-repeat: no-repeat;
}

.custom-checkbox input[type="checkbox"]:checked+.checkmark {
    background-image: url(../assets/icons/check.svg);
    -webkit-transition: all var(--transition);
    -o-transition: all var(--transition);
    transition: all var(--transition);
    background-color: #97D8EB;
}

/*--------------CUSTOM CHECKBOX------------------*/

footer {
    background: #0705051A;
    box-shadow: 0px 1px 40px 0px #E2E2E233 inset;
    backdrop-filter: blur(10px);
    position: relative;
    z-index: 10;
    margin-top: 100px;
    padding: 50px 0 110px 0;
}

.footer__columns {
    display: flex;
    gap: 40px;
}

.footer__info {
    max-width: 410px;
}

.footer__column {
    gap: 20px;
}

.footer__links-list {
    gap: 10px;
}

.footer__links-list a,
.footer__column span {
    font-size: 14px;
}

.footer__column a {
    color: white;

}

.footer__column span {
    font-weight: 700;
}

.footer__links {
    display: grid;
    grid-template-columns: 0.146fr 0.097fr 0.199fr 0.271fr 0.287fr;
    gap: 40px;
}

.mobile-search {
    height: 44px;
    width: 100%;
    max-width: 0;
    position: relative;
    border-radius: 5px;
    border: 1px solid transparent;
    padding: 12px 0;
    display: flex;
    align-items: center;
    transition: max-width var(--transition), border-color var(--transition), padding var(--transition);
}

.mobile-search.active {
    padding: 12px 16px 12px 36px;
    border-color: var(--yellow);
    max-width: calc(100% - 40px);
    position: absolute;
    left: 20px;
}

.mobile-search-input {
    width: 100%;
    color: white;
    margin-left: 12px;
}

.mobile-search-icon {
    content: url(../assets/icons/search.svg);
    cursor: pointer;
    position: absolute;
    right: 46px;
    top: 50%;
    transform: translateY(-50%);
    left: 16px;
}

.mobile-controls {
    padding: 6px;
    background-color: #386896;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    gap: 40px;
}

.mobile-controls>a:not(.mobile-controls__burger) {
    width: 36px;
    height: 36px;
}

.mobile-controls__bottle {
    content: url(../assets/icons/mobile-bottle.svg);
}

.mobile-controls__profile {
    content: url(../assets/icons/mobile-user.svg);
}

.mobile-controls__burger {
    content: url(../assets/icons/burger.svg);
}

.mobile-controls__heart {
    content: url(../assets/icons/mobile-heart.svg);
}

.mobile-controls__basket {
    content: url(../assets/icons/mobile-basket.svg);
}

.mobile-controls__burger {
    padding: 12px 10px;
    border-radius: 6px;
    background-color: #97D8EB;
    width: 44px;
    height: 42px;
}

.mobile-controls__burger.opened {
    content: url(../assets/icons/burger-opened.svg);
}

.mobile-menu__bottom {
    background: #4444441A;
    box-shadow: 0px 4px 16px 0px #E9E9E933 inset;
    box-shadow: 0px 1px 40px 0px #E2E2E233 inset;
    backdrop-filter: blur(50px);
}


.mobile-menu {
    position: fixed;
    top: 74px;
    height: calc(100vh - 128px);
    width: 100%;
    z-index: 1000;
    background: linear-gradient(180deg, #0B61A4 0%, #04253E 100%);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    left: -100%;
    transition: left var(--transition);
}

.mobile-menu.active {
    left: 0;
}

.mobile-menu-list {
    padding-top: 33px;
    padding-bottom: 16px;
    max-height: calc(100vh - 128px);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.mobile-menu-list__item {
    position: relative;
    padding-left: 40px;
}

.mobile-menu-list__item::after {
    content: '';
    width: 4px;
    height: 30px;
    left: 0;
    background-color: var(--yellow);
    position: absolute;
    left: 0;
    top: -4px;
    transition: height var(--transition);
}

.mobile-menu-list__item-link:hover,
.mobile-menu-list__item-link {
    font-family: "Times New Roman";
    font-weight: 700;
    font-size: 20px;
    line-height: 100%;
    text-transform: uppercase;
    color: white;
}

.mobile-menu-sub-list {
    margin-top: 20px;
    display: none;
}

.mobile-menu-list__item.active .mobile-menu-sub-list {
    display: block;
}

.mobile-menu-list__item.active::after {
    height: 50px;
}

.mobile-menu-sub-list>li {
    padding-left: 16px;
}

.mobile-menu-sub-list>li:not(:first-of-type) {
    padding-top: 10px;
}

.mobile-menu-sub-list__item:hover,
.mobile-menu-sub-list__item {
    font-weight: 500;
    font-size: 16px;
    line-height: 100%;
    text-transform: uppercase;
    color: white;
}

.mobile-menu__bottom {
    padding: 12px 74px 16px 74px;
}

.mobile-menu__bottom-contacts a:not(:last-of-type) {
    color: var(--yellow);
    font-size: 16px;
}

.mobile-menu__bottom-contacts a:last-of-type {
    color: white;
    font-size: 14px;
}

.mobile-menu__bottom>div:nth-of-type(2) div p {
    font-size: 12px;
    line-height: 18px;
}

.products-pagination {
    position: absolute;
    left: 50% !important;
    transform: translateX(-50%);
    bottom: -30px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.products-pagination .swiper-pagination-bullet {
    opacity: 1;
    background-color: white;
}

.products-pagination .swiper-pagination-bullet-active {
    background-color: var(--yellow);
}

.general-bg {
    position: absolute;
    margin: 0 auto;
    bottom: 0;
    top: auto;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
}

.general-bg img {
    filter: blur(200px);
    position: relative;
    width: 100%;
    width: 100%;
    object-fit: cover;
    display: block;
}

.catalog-list__item {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.catalog-list__item>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: sepia(0.1) hue-rotate(10deg) saturate(1.3) brightness(0.95);
}

.catalog-list__item-overly {
    display: flex;
    flex-direction: column;
    gap: 55px;
    position: absolute;
    left: 0;
    bottom: -72px;
    transition: bottom var(--transition);
    padding-left: 26px;
    z-index: 1;
}

.catalog-list__item-overly::after {
    content: '';
    position: absolute;
    left: 0;
    top: -18px;
    width: 4px;
    height: 60px;
    background-color: var(--yellow);
}

.catalog-list__item-overly h4 {
    font-size: 22px;
    font-weight: 600;
    line-height: 32px;
}

.catalog-list__item:hover .catalog-list__item-overly {
    bottom: 26px;
}

.back a,
.back span {
    font-size: 16px;
    font-weight: 400;
    color: white;
    margin-top: 73px;
    margin-bottom: 99px;
}

.back a.active {
    color: var(--yellow);
}

.pagination,
.pagination__page,
.pagination__list {
    display: flex;
}

.pagination {
    gap: 18px;
}

.pagination__list {
    gap: 20px;
    align-items: end;
}

.pagination__list p,
.pagination__page {
    color: white;
}

.pagination__page {
    width: 24px;
    height: 30px;
    border: 1px solid var(--yellow);
    background-color: transparent;
    font-size: 14px;
    font-weight: 400;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color var(--transition), color var(--transition);
}

.pagination__page:hover,
.pagination__page.active {
    background-color: var(--yellow);
    font-weight: 700;
    color: black;
}

.pagination__next,
.pagination__prev {
    content: url(../assets/icons/pagination-arrow.svg);
    cursor: pointer;
}

.pagination__next {
    transform: scale(-1);
}

.pagination__next.active,
.pagination__next.active {
    content: url(../assets/icons/pagination-arrow-active.svg);
}

.questions-form {
    padding: 40px 110px;    
    position: relative;
    border-radius: 5px;
    overflow: hidden;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
        linear-gradient(90deg, #0A1C2C 29.09%, rgba(11, 97, 164, 0.5) 66.09%);

}

.questions-form-bg-img {
    position: absolute;
    z-index: 1;
    background-image: url(../assets/images/form-bg.png);
    background-repeat: no-repeat;
    background-position: top right;
    background-size: 75%;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.questions-form-bg {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
        linear-gradient(90deg, #0A1C2C 29.09%, rgba(11, 97, 164, 0.5) 66.09%);
    backdrop-filter: blur(50px);
    box-shadow: 0px 4px 16px 0px #E9E9E933 inset;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.8;
    z-index: 2;
}

.questions-form__content {
    max-width: 856px;
    position: relative;
    z-index: 3;
}

.questions-form__content h5 {
    font-weight: 600;
    font-size: 20px;
    line-height: 25px;
    text-transform: uppercase;
}

.questions-form__content p {
    font-weight: 700;
}

.questions-form__content h5,
.questions-form__content p,
.questions-form__content input,
.questions-form__content input::placeholder,
.policy>span {
    color: #97D8EB;
}

.questions-form__content input {
    border-radius: 5px;
    border: 1px solid #97D8EB;
    padding: 15px 16px;
    width: 306px;
}

.services__item {
    position: relative;
    height: 687px;
    width: 100%;
    display: block;
}

.services__item>img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.services__item-overly {
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(11, 97, 164, 0.7), rgba(11, 97, 164, 0.7));
}

.services__item-border {
    width: 4px;
    height: 100px;
    background-color: var(--yellow);
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    z-index: 2;
}

.services__item-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    max-width: 177px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
}

.services__item-content h4 {
    font-weight: 700;
    font-size: 22px;
    line-height: 100%;
    text-align: center;
    text-transform: uppercase;
    color: white;
}

.services__item-content p {
    color: white;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    text-align: center;
}

.about {
    height: 600px;
    position: relative;
}

.about-text-overly,
.about-text-bg,
.about-text {
    position: absolute;
    height: 483px;
}

.about-text-bg {
    z-index: 2;
    box-shadow: 0px 4px 16px 0px #E9E9E933 inset;
    -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);
    background: #4444441A;
    left: 0;
    width: 55%;
    top: 50%;
    transform: translateY(-50%);
}

.about-text-overly {
    z-index: 3;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: 483px;
    max-width: 1358px;
    padding: 0 20px;
    width: 100%;
}

.about-text {
    left: 0;
    top: 0;
    padding: 32px 0 30px 0;
    max-width: 564px;
}

.about-text button {
    width: fit-content;
}


.about__img {
    width: 50%;
    height: 600px;
    position: relative;
    background-image: url(../assets/images/about.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.brands {
    position: relative;
    z-index: 7;
}

.brands-slider-wrapper {
    backdrop-filter: blur(50px);
    box-shadow: 0px 4px 16px 0px #E9E9E933 inset;
    background: #4444441A;
    width: 100%;
}

.brands-slider {
    max-width: 1920px;
    width: 100%;
}

.brands-slider .swiper-wrapper {
    transition-timing-function: linear;
}

.brand-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.brand-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 250px;
    width: fit-content;
}

.bg__video {
    width: calc(100% + 400px);
    height: 860px;
    bottom: 11%;
    left: -200px;
    mix-blend-mode: screen;
    z-index: 5;
    position: absolute;
}

.bg__video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.policy>span {
    font-size: 12px;
    font-weight: 700;
}

.questions-form__index {
    position: relative;
    z-index: 6;
}

.bordered-item {
    border: 1px solid #97D8EB;
    border-radius: 5px;
    padding: 21px;
    width: 100%;
    height: 100%;
}

.bordered-item input {
    width: 100%;
}

.bordered-item input,
.bordered-item input::placeholder {
    color: var(--gray);
}

.bordered-item input,
.bordered-item p {
    font-weight: 500;
    font-size: 14px;
    line-height: 15px;
}

.brand__bg {
    background-image: url(../assets/images/product-page-bg.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 1200px;
    position: absolute;
    opacity: 0.03;
    left: 0;
    top: 0;
}

.brand__bg span {
    width: 100%;
    height: 100%;
    background-color: #3B648E33;
    position: absolute;
    z-index: 1;
}

@media (max-width: 1200px) {
    .catalog-list__item-overly button {
        padding: 16px 42px;
        font-size: 14px;
    }

    .about__img,
    .about-text-bg {
        width: 80%;
    }

    .about-text {
        max-width: 80%;
        padding: 30px;
    }
}

@media (max-width: 992px) {
    .logo {
        min-width: 200px;
    }

    .footer__info {
        max-width: 100%;
    }
}

@media (max-width: 768px) {
    .list-title {
        font-size: 42px;
        line-height: 100%;
        text-align: center;
    }

    .footer__links {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .paralax-cube {
        display: none;
    }

    .bg__video {
        width: 100%;
        left: 0;
    }

    .questions-form {
        padding: 40px 20px;
    }
}

@media (max-width: 576px) {
    header {
        height: 74px;
    }

    .footer__links {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    footer {
        padding: 30px 0 80px 0;
    }

    .mt-130 {
        margin-top: 80px;
    }

    .mt-100 {
        margin-top: 50px;
    }

    .questions-form {
        padding: 40px;
    }

    .questions-form__content input,
    .questions-form form button {
        width: 100%;
    }

    .about__img,
    .about-text-bg {
        width: 90%;
    }

    .about-text {
        max-width: 90%;
        padding: 20px;
    }

    .services__item {
        height: 400px;
    }

    .back a,
    .back span {
        font-size: 12px;
        margin-top: 40px;
        margin-bottom: 60px;
    }

    .logo {
        width: 184px;
    }
}